Download it now!
Bug 69175 - FILEOPEN DOCX Wrongly formatted vertical frames
Summary: FILEOPEN DOCX Wrongly formatted vertical frames
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables DOCX-Frames
  Show dependency treegraph
 
Reported: 2013-09-10 11:37 UTC by Teo91
Modified: 2019-11-13 03:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Docx with tables (201.81 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-09-10 11:37 UTC, Teo91
Details
The Docx as it should be (107.84 KB, application/pdf)
2013-09-10 11:38 UTC, Teo91
Details
PDF showing the incorrect rendering using LO 4.1.1 (just for the record - otherwise those without the bug can't see the problem) (201.56 KB, application/pdf)
2013-09-11 09:06 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Teo91 2013-09-10 11:37:04 UTC
Created attachment 85548 [details]
Docx with tables

Problem description: 
Witdh and position of tables are wrong formatted in all 5 pages.
Probably the attached Docx was created with Office 2007.

Current behavior:
Just open the Docx in LO and see every page.

Expected behavior:
Open the attached PDF and sse the document as it should be.
              
Operating System: Windows 7
Version: 4.1.1.2 rc
Comment 1 Teo91 2013-09-10 11:38:30 UTC
Created attachment 85549 [details]
The Docx as it should be
Comment 2 Thomas van der Meulen 2013-09-10 13:23:24 UTC
Thank you for your bug report, I can reproduce this bug running Version: 4.1.2.1
Build ID: bf15ac65c2167fb1ef3daf3710609d4a4c369a9
on Mac osx 10.8.4.
Comment 3 Justin L 2013-09-11 09:06:22 UTC
Created attachment 85612 [details]
PDF showing the incorrect rendering using LO 4.1.1 (just for the record - otherwise those without the bug can't see the problem)
Comment 4 Matthew Francis 2015-04-10 14:57:57 UTC
There are several things wrong with this document, which should probably be split into different bugs if there are no suitable duplicates. The main ones I can see are:

1) Wrongly positioned frames in the body text (e.g. sections 4.1, 4.2)
  - This one is a regression. The rendering used to be better

2) Wrongly formatted vertical frames (e.g. "The King’s Experience" on p. 1)
  - This one seems to be inherited. It's already wrong in 3.3.0


Let's keep this bug for (1) and call it a regression
Comment 5 Matthew Francis 2015-04-10 15:35:20 UTC
With apologies for the churn,

Issue (1) of comment 4 seems to have been fixed, then broken again differently in the time since this bug was opened. A bug shouldn't really predate the issue it relates to, so let's switch this around and keep it for the inherited issue (2). I'll open another bug for the issue which reoccurred.

-> Version: Inherited from OOo
Comment 6 Matthew Francis 2015-04-10 15:53:40 UTC
Raised bug 90553 for comment 4 issue (1) - the wrongly positioned frames in the body text
Comment 7 tommy27 2016-04-16 07:28:26 UTC Comment hidden (obsolete)
Comment 8 Buovjaga 2016-07-11 07:29:36 UTC
The text in the frame is now vertical, but cut off and in the wrong position.
Changing summary to reflect what this report is about.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: 046244bcfe1c5c1cd2325fe74b933c05e43cf190
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 7th 2016
Comment 9 Justin L 2017-10-20 06:15:18 UTC
Still a problem in 6.0alpha1. Wrongly positioned, and wrong background color.
Comment 10 QA Administrators 2018-10-21 02:50:26 UTC Comment hidden (obsolete)
Comment 11 Xisco Faulí 2018-11-12 15:35:01 UTC
it slightly better in

Version: 6.2.0.0.alpha1+
Build ID: 3a99ae072ac170ebed8d1f5bf65913d3412fab67
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

The text in frame is vertical and it doesn't have a background. However, its heigh is incorrect and only a part of the text is displayed...
Comment 12 QA Administrators 2019-11-13 03:33:23 UTC
Dear Teo91,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug